/* ДАТЧИК ГАЗА */
const int analogSignal = A0; // подключение аналогового сигнального пина
const int digitalSignal = 8; // подключение цифрового сигнального пина
boolean hasGas; // переменная для хранения значения о присутствии газа
int gas = 0; // переменная для хранения количества газа
 
void setup() {
  pinMode(digitalSignal, INPUT); // установка режима пина
  Serial.begin(9600); // инициализация Serial порта 
}
 
void loop() {
  hasGas = digitalRead(digitalSignal); // считываем значение о присутствии газа
  gas = analogRead(analogSignal); // и о его количестве
 
  // вывод сообщения
  Serial.print("Предел ");
  if (hasGas) Serial.print("не достигнут");
  else Serial.print("достигнут");
  Serial.print(", уровень газа: ");
  Serial.println(gas);
 
  delay(1000); //задержка 1 с
}
