/* ДАТЧИК ЛИНИИ */
#define PIN_SENSOR  2

void setup() {
  // Инициализируем работу с серийным портом для вывода отладочной информации
   Serial.begin(9600);

  // Настраиваем на вход пин, к которому подключен датчик линии.
  // Здесь нет необходимости включать внутреннюю подтяжку пина к VCC, т.к.
  // модуль сам заботится о формировании логической "1" при отсутствии цели
  pinMode(PIN_SENSOR, INPUT);
 }

void loop() {
  // Контролируем датчик с периодичностью около 200 мс
  if (digitalRead(PIN_SENSOR)) { // Датчик не срабатывает
     Serial.println("LIGHT");
  }
  else { // Датчик срабатывает
     Serial.println("BLACK");
  }
  
  delay(200);
}
