/* ДАТЧИК ВЛАЖНОСТИ ПОЧВЫ */
const int analogSignal = A0; // подключение аналогового сигнального пина
const int digitalSignal = 8; // подключение цифрового сигнального пина
boolean soilIsDry; // переменная для хранения значения о присутствии влажности
int humidity = 0; // переменная для хранения количества влажности
 
void setup() {
  pinMode(digitalSignal, INPUT); // установка режима пина
  Serial.begin(9600); // инициализация Serial порта 
}
 
void loop() {
  soilIsDry = digitalRead(digitalSignal); // считываем значение о присутствии влажности
  humidity = analogRead(analogSignal); // и о его количестве
 
  // вывод сообщения
  Serial.print("The soil is ");
  if (soilIsDry) Serial.print("dry");
  else Serial.print("wet");
  Serial.print(", the humidity value is ");
  Serial.println(humidity);
 
  delay(1000); // задержка 1 с
}
